## visad.util
Class ContourWidget.ContourRangeSlider

    java.lang.Object
      java.awt.Component
          visad.browser.RangeSlider
              visad.util.RangeSlider
                  visad.util.ContourWidget.ContourRangeSlider

All Implemented Interfaces:
  EventListener, ImageObserver, MenuContainer, MouseListener, MouseMotionListener, ScalarMapListener, Serializable

Enclosing class:
  ContourWidget

class ContourWidget.ContourRangeSlider
extends RangeSlider
implements ScalarMapListener

Subclass of RangeSlider for selecting min and max values.

Nested Class Summary

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`(package private) ContourWidget` `pappy`

Fields inherited from class visad.browser.RangeSlider
`DEFAULT_NAME, FONT_BOTTOM_Y, FONT_HEIGHT, FONT_TOP_Y, GRIP_BOTTOM_Y, GRIP_HEIGHT, GRIP_MIDDLE_Y, GRIP_TOP_Y, GRIP_WIDTH, lSlideMoved, maxGrip, maxLimit, maxSize, maxValue, minGrip, minLimit, minSize, minValue, prefSize, rSlideMoved, SLIDER_LINE_HEIGHT, SLIDER_LINE_WIDTH, SLIDER_PREF_HEIGHT, SLIDER_PREF_WIDTH, textChanged`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`(package private)` `ContourWidget.ContourRangeSlider(ScalarMap smap, float min, float max, ContourWidget dad, boolean update)`

Method Summary
`void` `controlChanged(ScalarMapControlEvent evt)` Do-nothing method; `ContourWidget` handles map control
`void` `mapChanged(ScalarMapEvent e)` ScalarMapListener method used with delayed auto-scaling.
`void` `valuesUpdated()` tell parent when the value changes

Methods inherited from class visad.util.RangeSlider
`nameOf`

Methods inherited from class visad.browser.RangeSlider
`getMaximumSize, getMinimumSize, getMinMaxValues, getPreferredSize, gripToValue, main, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, paint, repaint, resetValues, setBounds, setBounds, setMaximumSize, setMinimumSize, setName, setPreferredSize, setValues, valueToGrip`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeys, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusCycleRoot, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, paramString, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, processComponentEvent, processEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeys, setFocusTraversalKeysEnabled, setFont, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle, update, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### pappy

    ContourWidget pappy

Constructor Detail

### ContourWidget.ContourRangeSlider

    ContourWidget.ContourRangeSlider(ScalarMap smap,
                                     float min,
                                     float max,
                                     ContourWidget dad,
                                     boolean update)
                               throws VisADException,
                                      RemoteException

Method Detail

### mapChanged

    public void mapChanged(ScalarMapEvent e)

  ScalarMapListener method used with delayed auto-scaling.

  Specified by:
    `mapChanged` in interface `ScalarMapListener`
  Parameters:
    `e` - the event

### controlChanged

    public void controlChanged(ScalarMapControlEvent evt)

  Do-nothing method; `ContourWidget` handles map control

  Specified by:
    `controlChanged` in interface `ScalarMapListener`
  Parameters:
    `evt` - the event

### valuesUpdated

    public void valuesUpdated()

  tell parent when the value changes

  Overrides:
    `valuesUpdated` in class `RangeSlider`